# InventoryGUI

abstract class InventoryGUI<T : ForInventory>(data: InventoryGUIData<T>)
Content copied to clipboard

## Functions

equals
Link copied to clipboard
open operator fun equals(other: Any?): Boolean
Content copied to clipboard
getPage
Link copied to clipboard
fun getPage(page: Int?): InventoryGUIPage<T>?
Content copied to clipboard
Searches for a page associated to the given page index.
hashCode
Link copied to clipboard
open fun hashCode(): Int
Content copied to clipboard
isThisInv
Link copied to clipboard
abstract fun isThisInv(inventory: Inventory): Boolean
Content copied to clipboard
loadPage
Link copied to clipboard
fun loadPage(page: InventoryGUIPage<T>)
Content copied to clipboard
Loads the specified page in order to display it in the GUI.
register
Link copied to clipboard
fun register()
Content copied to clipboard
Registers this InventoryGUI.
reloadCurrentPage
Link copied to clipboard
fun reloadCurrentPage()
Content copied to clipboard
Reloads the current page.
set
Link copied to clipboard
abstract operator fun set(slot: InventorySlotCompound<T>, value: ItemStack)
Content copied to clipboard
Temporarily sets the given item at the given slots.
toString
Link copied to clipboard
open fun toString(): String
Content copied to clipboard
unregister
Link copied to clipboard
fun unregister()
Content copied to clipboard
Stops KSpigot from listening to actions in this InventoryGUI anymore.

## Properties

currentPage
Link copied to clipboard
val currentPage: InventoryGUIPage<T>
Content copied to clipboard
currentPageInt
Link copied to clipboard
var currentPageInt: Int
Content copied to clipboard
data
Link copied to clipboard
val data: InventoryGUIData<T>
Content copied to clipboard

## Inheritors

InventoryGUIShared
Link copied to clipboard